View Issue Details

IDProjectCategoryView StatusLast Update
0000266Bacula-Webbugpublic2018-09-16 09:55
Reporteraw11Assigned Todavide 
PrioritynormalSeverityblockReproducibilityhave not tried
Status resolvedResolutionno change required 
Product Version8.0.1 
Target VersionFixed in Version 
Summary0000266: Bug on fresh install with permissions?
Description Application error
Details
A problem with the description below happen

Problem: Bad ownership / permissions for protected assets folder (application/assets/protected)
Help
Have you tried to run the test page ?
Check the online documentation on Bacula-Web project site
Rebort a bug or suggest a new feature in the Bacula-Web's bugtracking tool
Debug
File: /var/www/html/core/app/userauth.class.php
Line: 43
Code: 0
Exception trace
File: /var/www/html/core/app/webapplication.class.php on line 33 in function UserAuth->__construct
File: /var/www/html/core/app/webapplication.class.php on line 104 in function WebApplication->setup
File: /var/www/html/index.php on line 21 in function WebApplication->run

Error on fresh install, how i can solve this problem?
TagsNo tags attached.

Activities

aw11

2018-09-14 22:10

reporter   ~0000851

Okay i reinstall bacula on CentOS 7, now all deamons are UP. But im cannot login on web page. When i type admin and bacula it's say username or password inccorect.

Please give me any solutions :_)

aw11

2018-09-14 22:30

reporter   ~0000852

And i use this https://www.bacula-web.org/download/setup-php/

When i create (all is OK) and login i have http 500 error.

aw11

2018-09-14 22:32

reporter   ~0000853

And debug error-

[Fri Sep 14 22:29:34.873581 2018] [:error] [pid 3189] [client ***:63214] PHP Fatal error: Call to undefined function password_verify() in /var/www/html/bacula-web/core/app/userauth.class.php on line 107, referer: http://***/bacula-web/index.php

aw11

2018-09-14 22:51

reporter   ~0000854

Okay i change php5.5 for 7.0 and reboot server and now working bacula-web.

Thanks @aw11 for ghost help! Nice contributor!

davide

2018-09-16 09:55

manager   ~0000855

Hello,
Happy to see you've found how to fix your problem.
Thumbs up to you @aw11 :)

As you already know, you need at least PHP 5.6 to run Bacula-Web,
Requirements are listed in documentation
http://docs.bacula-web.org/en/v8.0.1/02_install/requirements.html#install-requirements

Best regards

Issue History

Date Modified Username Field Change
2018-09-14 18:47 aw11 New Issue
2018-09-14 22:10 aw11 Note Added: 0000851
2018-09-14 22:30 aw11 Note Added: 0000852
2018-09-14 22:32 aw11 Note Added: 0000853
2018-09-14 22:51 aw11 Note Added: 0000854
2018-09-16 09:55 davide Note Added: 0000855
2018-09-16 09:55 davide Assigned To => davide
2018-09-16 09:55 davide Status new => assigned
2018-09-16 09:55 davide Status assigned => resolved
2018-09-16 09:55 davide Resolution open => no change required